Subject: bug#70386: 30.0.50; (recenter 0 t) does not put point on top of the window

From: Po Lu <[email-masked]>
Date: Thu, 09 May 2024 15:54:56 +0800

Eli Zaretskii <[email-masked]> writes:

> Ping!  Po Lu, can you please take another look?

I tried might and main to reproduce the vscroll-related problem
following both the original recipe and the adjustments Ihor suggested,
to no avail.

Ihor, are you still running recenter?  The bug you initially described
should not be possible after my change, as vscroll is now
unconditionally reset after a call to recenter, but the paragraph in
your last message appears to describe a different phenomenon, which is
no bug: since p-s-p-i is designed for interactive operation, the
animation runs within `while-no-input', and if input should interrupt
the usual course of the function, then it's entirely expected that point
should be left elsewhere than specified in the arguments of the call.